<?php

class Fastly_CDN_Block_Adminhtml_System_Config_Fieldset_TestConnection extends Mage_Adminhtml_Block_System_Config_Form_Field
{
    /*
    * Set template
    */
    protected function _construct()
    {
        parent::_construct();
        $this->setTemplate('fastlycdn/system/config/test_connection_btn.phtml');
    }

    /**
     * Return element html
     *
     * @param  Varien_Data_Form_Element_Abstract $element
     * @return string
     */
    protected function _getElementHtml(Varien_Data_Form_Element_Abstract $element)
    {
        return $this->_toHtml();
    }

    /**
     * Return ajax url for button
     *
     * @return string
     */
    public function getAjaxCheckUrl()
    {
        return Mage::helper('adminhtml')->getUrl('*/fastlyCdn/testConnection');
    }

    /**
     * Generate button html
     *
     * @return string
     */
    public function getButtonHtml()
    {
        $button = $this->getLayout()->createBlock('adminhtml/widget_button')
            ->setData(array(
                'id'        => 'fastly_test_conn_btn',
                'label'     => $this->helper('adminhtml')->__('Test connection'),
                'onclick'   => 'javascript:check(); return false;'
            ));

        return $button->toHtml();
    }
}